package com.goafanti.admin.service;

import java.util.List;

import com.goafanti.admin.bo.AdminVideoBo;
import com.goafanti.common.model.JtVideo;
import com.goafanti.core.mybatis.page.Pagination;

public interface AdminVideoService {
	Pagination<AdminVideoBo> getVideoList(JtVideo video, Integer pageNo, Integer pageSize,Integer ob);
	
	AdminVideoBo getVideoById(JtVideo jtVideo);
	
	int insertVideo(JtVideo jtVideo);
	
	int updateVideo(JtVideo jtVideo);
	
	int updateByUrl(JtVideo jtVideo);
	
	AdminVideoBo getIndexVideo(Integer position);
	
	int nameCheck(String name);
	
	List<JtVideo> getAllVideoExcludeId(String id);
	
}
